Package net.shibboleth.profile.relyingparty

# Class RelyingPartyCredentialResolver

java.lang.Object
net.shibboleth.profile.relyingparty.RelyingPartyCredentialResolver

All Implemented Interfaces:
  `Component`, `IdentifiableComponent`, `IdentifiedComponent`, `Resolver<Credential,CriteriaSet>`, `CredentialResolver`

public class RelyingPartyCredentialResolver extends Object implements CredentialResolver, IdentifiableComponent
Credential resolver whose purpose is to resolve configured IdP signing credentials.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`id`
Component ID.
`private org.slf4j.Logger`
`log`
Logger.
`private ReloadableService<RelyingPartyConfigurationResolver>`
`service`
The reloading resolver which is the source of the credentials.

## Constructor Summary

Constructors
Constructor
Description
`RelyingPartyCredentialResolver(ReloadableService<RelyingPartyConfigurationResolver> resolverService)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getId()`
`Iterable<Credential>`
`resolve(CriteriaSet criteria)`
`Credential`
`resolveSingle(CriteriaSet criteriaSet)`
`void`
`setId(String componentId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private org.slf4j.Logger log
Logger.

### service

@Nonnull private ReloadableService<RelyingPartyConfigurationResolver> service
The reloading resolver which is the source of the credentials.

### id

@Nullable private String id
Component ID.

## Constructor Details

### RelyingPartyCredentialResolver

public RelyingPartyCredentialResolver(@Nonnull ReloadableService<RelyingPartyConfigurationResolver> resolverService)
Constructor.

Parameters:
  `resolverService` - the Spring service exposing the relying party configuration service

## Method Details

### getId

@Nullable public String getId()

Specified by:
  `getId` in interface `IdentifiedComponent`

### setId

public void setId(@Nonnull @NotEmpty String componentId)

Specified by:
  `setId` in interface `IdentifiableComponent`

### resolveSingle

@Nullable public Credential resolveSingle(@Nullable CriteriaSet criteriaSet) throws ResolverException

Specified by:
  `resolveSingle` in interface `Resolver<Credential,CriteriaSet>`
Throws:
  `ResolverException`

### resolve

@Nonnull public Iterable<Credential> resolve(@Nullable CriteriaSet criteria) throws ResolverException

Specified by:
  `resolve` in interface `Resolver<Credential,CriteriaSet>`
Throws:
  `ResolverException`